export class MyApp {
    getLocation() {
        return location.pathname;
    }
    isActive(path) {
        return path === this.getLocation() ? 'active' : '';
    }
    //
    // changePage(page = '/') {
    //   console.log(this.history)
    //   this.history.push(page, {});
    // }
    render() {
        return (h("div", null,
            h("nav", { class: "navbar navbar-dark bg-dark" },
                h("a", { class: "navbar-brand", href: "/" }, "Stencil Bootstrap")),
            h("main", { class: "container row" },
                h("div", { class: "nav flex-column nav-pills col-md-3 pt-4", id: "v-pills-tab", role: "tablist", "aria-orientation": "vertical" },
                    h("a", { class: `nav-link ${this.isActive('/')}`, id: "v-pills-home-tab", "data-toggle": "pill", href: "/", role: "tab", "aria-controls": "v-pills-home", "aria-selected": "true" }, "Home"),
                    h("a", { class: `nav-link ${this.isActive('/components')}`, id: "v-pills-profile-tab", "data-toggle": "pill", href: "/components", role: "tab", "aria-controls": "v-pills-profile", "aria-selected": "false" }, "Components"),
                    h("a", { class: `nav-link ${this.isActive('/dropdowns')}`, id: "v-pills-profile-tab", "data-toggle": "pill", href: "/dropdowns", role: "tab", "aria-controls": "v-pills-profile", "aria-selected": "false" }, "Dropdowns"),
                    h("a", { class: `nav-link ${this.isActive('/navs')}`, id: "v-pills-profile-tab", "data-toggle": "pill", href: "/navs", role: "tab", "aria-controls": "v-pills-profile", "aria-selected": "false" }, "Navs"),
                    h("a", { class: `nav-link ${this.isActive('/carousels')}`, id: "v-pills-profile-tab", "data-toggle": "pill", href: "/carousels", role: "tab", "aria-controls": "v-pills-profile", "aria-selected": "false" }, "Carousels"),
                    h("a", { class: `nav-link ${this.isActive('/paginations')}`, id: "v-pills-profile-tab", "data-toggle": "pill", href: "/paginations", role: "tab", "aria-controls": "v-pills-profile", "aria-selected": "false" }, "Pagination"),
                    h("a", { class: `nav-link ${this.isActive('/progress-bars')}`, id: "v-pills-profile-tab", "data-toggle": "pill", href: "/progress-bars", role: "tab", "aria-controls": "v-pills-profile", "aria-selected": "false" }, "Progress"),
                    h("a", { class: `nav-link ${this.isActive('/alerts')}`, id: "v-pills-profile-tab", "data-toggle": "pill", href: "/alerts", role: "tab", "aria-controls": "v-pills-profile", "aria-selected": "false" }, "Alerts"),
                    h("a", { class: `nav-link ${this.isActive('/collapses')}`, id: "v-pills-profile-tab", "data-toggle": "pill", href: "/collapses", role: "tab", "aria-controls": "v-pills-profile", "aria-selected": "false" }, "Collapses"),
                    h("a", { class: `nav-link ${this.isActive('/tooltips')}`, id: "v-pills-profile-tab", "data-toggle": "pill", href: "/tooltips", role: "tab", "aria-controls": "v-pills-profile", "aria-selected": "false" }, "Tooltips"),
                    h("a", { class: `nav-link ${this.isActive('/popovers')}`, id: "v-pills-profile-tab", "data-toggle": "pill", href: "/popovers", role: "tab", "aria-controls": "v-pills-profile", "aria-selected": "false" }, "Popovers")),
                h("div", { class: "col" },
                    h("stencil-router", null,
                        h("stencil-route", { url: '/', component: 'app-home', exact: true }),
                        h("stencil-route", { url: '/components', component: 'stb-page-components' }),
                        h("stencil-route", { url: '/dropdowns', component: 'stb-page-dropdowns' }),
                        h("stencil-route", { url: '/navs', component: 'stb-page-navs' }),
                        h("stencil-route", { url: '/carousels', component: 'stb-page-carousels' }),
                        h("stencil-route", { url: '/paginations', component: 'stb-page-paginations' }),
                        h("stencil-route", { url: '/progress-bars', component: 'stb-page-progress-bars' }),
                        h("stencil-route", { url: '/alerts', component: 'stb-page-alerts' }),
                        h("stencil-route", { url: '/collapses', component: 'stb-page-collapses' }),
                        h("stencil-route", { url: '/tooltips', component: 'stb-page-tooltips' }),
                        h("stencil-route", { url: '/popovers', component: 'stb-page-popovers' }))))));
    }
    static get is() { return "my-app"; }
    static get properties() { return { "history": { "type": "Any", "attr": "history" } }; }
    static get style() { return "/**style-placeholder:my-app:**/"; }
}
