import { EventEmitter } from '../../stencil.core';
import { Modifiers, Placement } from 'popper.js';
export declare class StbDropdown {
    body: HTMLElement;
    isVisible: boolean;
    element: HTMLElement;
    onShow: EventEmitter;
    onHide: EventEmitter;
    disabled: boolean;
    action: string;
    target: string;
    placement: Placement;
    positionFixed: boolean;
    modifiers: Modifiers;
    onlyOneOpen: boolean;
    buttonListener: any;
    documentListener: any;
    button: any;
    dropdown: any;
    componentDidLoad(): void;
    componentDidUnload(): void;
    hideAllDropdowns(): void;
    hasClass(element: any, className: any): boolean;
    managePlacement(): void;
    addDocumentListener(): void;
    removeDocumentListener(): void;
    addClickListener(element?: any): void;
    removeClickListener(element?: any): void;
    showTarget(): void;
    hideTarget(): void;
    toggle(): void;
    show(): void;
    hide(): void;
}
