import { EventEmitter } from '../../stencil.core';
export declare const TOGGLE_CLASSES: {
    active: string;
    inactive: string;
};
export declare class StbToggle {
    element: HTMLElement;
    onActivate: EventEmitter;
    onDeactivate: EventEmitter;
    selected: number;
    target: string;
    private listeners;
    private buttonsElement;
    componentWillLoad(): void;
    componentDidUnload(): void;
    getBtnElements(): void;
    elementClickHandler(element: any, index: any): void;
    addActiveClass(element: any): void;
    removeActiveClass(): void;
    toggle(): void;
    activate(index?: number): void;
    deactivate(index?: number): void;
}
